
// Plastics (head1.inc)
// Lorenzo Quintana Juez (voyager@redestb.es)
// April 30, 1997

// _____ Head 1 _____

// testures

#declare T_Piel1 = texture {
  pigment { rgb <1,.8,.631> }
  finish { diffuse .7 ambient .3 }
}

#declare T_Cejas1 = texture {
  pigment { image_map { gif "cejas1.gif" map_type 0
  transmit 255, 1 interpolate 2 once } }
  finish { diffuse .8 ambient .2 }
  translate <-.5,-.51,0> scale <12,12,1>
}

// _____ Eye 1 _____

#declare T_Eye1A_L1 = texture {
    pigment { radial frequency 40 turbulence .2
    color_map {
    [ 0.0 rgb <0,0,0> ]
    [ 0.5 rgb <0,0,0> ]
    [ 0.5 rgb <0,.6,1> ]
    [ 1.0 rgb <0,.6,1> ] } rotate 90*x }
    finish { diffuse .8 ambient .3 }
  }

#declare T_Eye1A_L2 = texture {
    pigment { gradient z color_map {
    [ 0 rgb 0 ]
    [ 0.0045 rgb 0 ]
    [ 0.0045 rgbt 1 ]
    [ 0.02 rgbt 1 ]
    [ 0.034 rgb 0 ]
    [ 0.034 rgb 1 ]
    [ 1 rgb 1 ] }  }
    finish { diffuse .8 ambient .3 specular 1 roughness .002 }
    scale <1,1,4>
    translate -2*z }

#declare T_Eye1B = texture {
  pigment { rgbf <1,1,1,.999> }
  finish { specular 1 roughness .002 }
}



// __ objects __

// Eye 1
#declare Eye1 = union {
  sphere { 0, 2 texture { T_Eye1A_L1 } texture { T_Eye1A_L2 } }
  sphere { 0, .78 texture { T_Eye1B } scale <1,1,.6> translate -1.75*z }
}

// Eyelid 1

#declare Abertura1 = prism { linear_sweep linear_spline
  -1.85, 2.25, 4, <0,-1.2>, <1.6, -3.5>, <-1.6, -3.5>, <0,-1.2>
  rotate 90*z pigment { rgb <.3,.1,0> }
}

#declare Eyelid1 = difference {
  blob { threshold .5
    sphere { 0, 3, 2 }
    sphere { 0, 2, 1 scale <1,1,1> translate 2*x }
  }
  object { Abertura1 }
}

// _____ Head 1A _____

#declare Head1A = difference {
  union {
    sphere { 0, 8.3 scale <.9,.9,.853> }
    sphere { 4*z, 8.3 scale <.9,.9,1.1> }
    cylinder { 0, 4*z, 8.3 scale <.9,.9,1> }
  }
  box { -9, <9,0,-3> }
  translate <0,2.5,4.05>
}

// _____ Head 1B _____

#declare Head1B = union {

  blob { threshold .5
  sphere { 0, 11.7, 2  scale <.9,.4,.849> translate <0,2.5,4> }
  sphere { 0, 11.737, 2  scale <.8,.4,.7> translate <0,-2.5,4> }
  sphere { 0, 2.8, .6 translate <-3.4,-2.6,-.6> }
  sphere { 0, 2.8, .6 translate <3.4,-2.6,-.6> }
  sphere { 0, 2.8, .6 translate <-3.9,-2.7,-.5> }
  sphere { 0, 2.8, .6 translate <3.9,-2.7,-.5> }
  sphere { 0, 2.8, .6 translate <-4.2,-2.7,1> }
  sphere { 0, 2.8, .6 translate <4.2,-2.7,1> }
  sphere { 0, 2.8, .6 translate <-4.2,-2.7,2> }
  sphere { 0, 2.8, .6 translate <4.2,-2.7,2> }
  sphere { 0, 2.8, .6 translate <-5,-2.7,3> }
  sphere { 0, 2.8, .6 translate <5,-2.7,3> }
  sphere { 0, 2.8, .58 translate <-3.6,-4.4,0> }
  sphere { 0, 2.8, .58 translate <3.6,-4.4,0> }
  sphere { 0, 2.5, .6 translate <3.6,-4.4,-.9> }
  sphere { 0, 2.5, .6 translate <-3.6,-4.4,-.9> }
  sphere { 0, 2.6, .6 translate <2.6,-5,-1> }
  sphere { 0, 2.6, .6 translate <-2.6,-5,-1> }
  sphere { 0, 2.2, .6 scale <1,1.2,1> translate <3.1,-3.6,-1.4> }
  sphere { 0, 1.7, .9 scale <1,1.2,.9> translate <3,-5.5,-1.3> }
  sphere { 0, 2, .9 translate <1.7,-6.3,-1.1> }
  sphere { 0, 2, .9 translate <3.6,-5.5,-.5> }
  sphere { 0, 2, .9 translate <3.6,-4.6,-.5> }
  sphere { 0, 2, .9 translate <4.1,-5.1,0>   }
  sphere { 0, 2, .9 translate <4.2,-4,0>  }
  sphere { 0, 2, .9 translate <4.3,-3,0>  }
  sphere { 0, 2, .9 translate <5,-5,1>   }
  sphere { 0, 2, .9 translate <4.5,-4.5,1>   }
  sphere { 0, 1.6, .9 scale <.9,1,1> translate <5.1,-4,.3> }
  sphere { 0, 3, .9 scale <1,1,1> translate <3.8,-4.6,0> }
  sphere { 0, 2.6, -1 scale <1.2,.2,.9> translate <0,-5,-1> }
  sphere { 0, 3, .6 scale <1.4,1,1> translate <0,-4,-1.35> }
  sphere { 0, 3, .6 scale <1.5,1,1> translate <0,-6,-.9> }
  sphere { 0, 1.8, .8 scale <1,1,3> rotate <-7,35,0> translate <3.7,-6,1.1> }
  sphere { 0, 1.8, .8 scale <1,1,3> rotate <-7,-35,0> translate <-3.7,-6,1.1> }
  cylinder { <4.6,-4.5,1.5>, <1,-6.8,-1>, 2, 1.6 }
  cylinder { <-4.6,-4.5,1.5>, <-1,-6.8,-1>, 2, 1.6 }
  sphere { 0, 3, .6 scale <2.1,.8,.85> translate <0,-7.2,-2> }
  sphere { 0, 1, .6 scale <2,.975,.86> translate <0,-7.4,-2> }
  sphere { 0, 2, .6  scale <.9,1.4,1> translate <0, .4, -1.6> }
  sphere { 0, 2, .6  scale <1.2,1.2,1> translate <0, 1.1, -1.48> }
  sphere { 0, 2.1, .6  scale <1.8,1,1> translate <0,   2, -1> }
  sphere { 0, 2.1, .6  scale <1.4,1,1> translate <0,  1, -.7>  }
  sphere { 0, 2.1, .6  scale <1.1,1,1> translate <0,  0, -.7> }
  sphere { 0, 2.1, .6  scale <1.2,1,1> translate <0,  -1, -.8> }
  sphere { 0, 2.1, .6  scale <1.8,1,1> translate <0,  -2, -1> }
  sphere { 0, 2, .6  translate <1,   2.1, -1> }
  sphere { 0, 2, .6  translate <1.5,   2.1, -.7> }
  sphere { 0, 2, .6  translate <2,   2, -.7> }
  sphere { 0, 2, .6  translate <3,   1.7, -.45> }
  sphere { 0, 2, .6  translate <3.8,   1.5, -.1> }
  sphere { 0, 2, .6  translate <-1,   2.1, -1> }
  sphere { 0, 2, .6  translate <-1.5,   2.1, -.7> }
  sphere { 0, 2, .6  translate <-2,   2, -.7> }
  sphere { 0, 2, .6  translate <-3,   1.7, -.45> }
  sphere { 0, 2, .6  translate <-3.8,   1.5, -.1> }
  sphere { 0, 2, .6  translate <4.4,  .7, .5> }
  sphere { 0, 3, .6  translate <4.4,   0, .5> }
  sphere { 0, 2, .6  translate <4.4, -.8, .5> }
  sphere { 0, 2, .6  translate <-4.5,  .7, .5> }
  sphere { 0, 3, .6  translate <-4.5,   0, .5> }
  sphere { 0, 2, .6  translate <-4.5, -.8, .5> }
  sphere { 0, 2, .6  translate <4.5,  .7, 1> }
  sphere { 0, 3, .6  translate <4.5,   0, 1> }
  sphere { 0, 2, .6  translate <4.5, -.8, 1> }
  sphere { 0, 2, .6  translate <4.5,  .7, 2.2> }
  sphere { 0, 3, .6  translate <4.5,   0, 2.2> }
  sphere { 0, 2, .6  translate <4.5, -.8, 2.2> }
  sphere { 0, 2, .6  translate <4.9,  .7, 3> }
  sphere { 0, 3, .6  translate <4.9,   0, 3> }
  sphere { 0, 2, .6  translate <4.9, -.8, 3> }
  // oreja
  sphere { 0, 2, .6  scale <.4,1.8,1.4> rotate <4,19,-8>
  translate <7.55, -1.4, 3.2> }
  sphere { 0, .95, .6  scale <.5,1.1,1.2> rotate <10,0,-5>
  translate <6.9, -3.45, 2.71> }
  sphere { 0, 1, .6  scale <.5,1.5,1.5> translate <6, -1.5, 1.5> }
  sphere { 0, 1, -1  scale <.8,1.5,1.1> translate <7.8, -1.8, 3> }
  sphere { 0, 1, -1  scale <.9,1.6,1.1> translate <7.9, -2.1, 2.2> }
  sphere { 0, 1, -1  scale <3,1.3,1> translate <7.9, -2.4, 2.6> }
  // nariz
  cylinder { <0,.2,-1.3>, <0,-2.1,-2.2>, 1.8, 1.2 scale <.84,1,1.1> }
  cylinder { -.9*x, .9*x, 1, 1.8 scale <1,.95,1>
  translate <0,-2.58,-2.28> }
  cylinder { 0, <-2,1,1>, 1, -1 scale <.41,1,.3>
  translate <.65,-3,-2.85> }
  cylinder { 0, <2,1,1>, 1, -1 scale <.41,1,.3>
  translate <-.65,-3,-2.85> }
  sphere { 0, .9, .9  scale <1.5,1,1> translate <0, -2.3, -2.8> }
}

  // __ cuello __

  blob { threshold .5
  sphere { 0, 11.736, 2 scale <.9,.9,1.1> }
  cylinder { -5*y, <0,-25,-2>, 8.5, 1 scale <.9,1,1> }
  sphere { 0, 10, 2 scale <1.77,.5,.7> translate -18*y }
  translate <0,2.5,8.05> }
}

// _____ Oreja 1B _____

#declare Oreja1B = torus { .6, .22 rotate 82*z rotate 38*y
  scale <1,1.8,2> translate <7.1,-2.1,3> }

// _____ Lips 1 _____

#declare T_Lips1 = texture {
  pigment { rgb <.9,.43,.435> }
  finish { diffuse .8 ambient .2 }
}

#declare Lips1 = intersection {
  union {
  torus { 3, .3 translate .35*y }
  torus { 3, .45 translate -.4*y }
  scale <1,1,.65>
  }
  cylinder { -5*z, 5*z, 2.3 scale <.9,.4,1> translate .4*y }
  texture { T_Lips1 }
}

// _____ Hair 1 _____

// texture

#declare T_Hair1 = texture {
  pigment { image_map { gif "hair1.gif"
  map_type 1 transmit 252, 1 interpolate 2 } }
  finish { diffuse .8 ambient .2 }
  rotate -90*y
}

// objects

#declare Hair1 = union {
  sphere { 0, 1 scale <.5,.1,.5> rotate -22*x
  translate <0,8.98,0> pigment { rgb <.4,.03,0> } }
  difference {
  blob { threshold .5
  cylinder { 0, 3*z, 18, .9 scale <.44,.85,.83> translate <3.85,1.7,5.5> }
  cylinder { 0, 3*z, 18, .9 scale <.3,.85,1> translate <3.8,-6,6> }
  sphere { 0, 5, 1 scale <1,2,.8> translate <4,-10,11> }
  sphere { 0, 4, 1 scale <.9,1.1,.8> translate <5.4,-13.5,11> }
  }
  cylinder { <3.5,-2,-5>, <3.5,-2,10>, 4 scale <.8,2.1,1> pigment { rgbt 1 } }
  }
  difference {
  blob { threshold .5
  cylinder { 0, 3*z, 18, .9 scale <.95,.89,1> translate <-.9,2.56,5.4> }
  cylinder { 0, 3*z, 18, .9 scale <.4,.8,.8> translate <-3.4,-7,5.7> }
  }
  union {
  cylinder { <8.8,4,-5>, <8.8,4,10>, 4 scale <.42,.8,1> pigment { rgbt 1 } }
  cylinder { <2,-2,-5>, <2,-2,10>, 4 scale <1,.8,1> pigment { rgbt 1 } }
  }
  }
  hollow
  texture { T_Hair1 }
}

// _____ Head 1 _____

#declare Head1 = union {
  object { Hair1 }
  object { Oreja1B }
  object { Lips1 translate <0,-5.2,-.8> }
  object { Head1A }
  object { Head1B }
  object { Eye1 rotate <4,-8,0> translate <-3.3,-.06,.25> }
  object { Eye1 rotate <4,-8,0> translate <3.3,-.06,.25> }
  object { Eyelid1 translate <-3.3,-.06,.3> }
  object { Eyelid1 rotate 180*z translate <3.3,-.06,.3> }
  texture { T_Piel1 }
  texture { T_Cejas1 }
  scale <.82,1,1>
}
